Index: ./games/kdegames3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/games/kdegames3/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./games/kdegames3/buildlink3.mk	5 Feb 2006 23:09:16 -0000	1.6
+++ ./games/kdegames3/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdegames
 
 .if !empty(KDEGAMES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdegames+=	kdegames>=3.5.0nb1
-BUILDLINK_RECOMMENDED.kdegames?=	kdegames>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdegames+=	kdegames>=3.5.0nb1
+BUILDLINK_ABI_DEPENDS.kdegames?=	kdegames>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdegames?=	../../games/kdegames3
 .endif	# KDEGAMES_BUILDLINK3_MK
 
Index: ./games/plib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/games/plib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./games/plib/buildlink3.mk	5 Feb 2006 23:09:21 -0000	1.2
+++ ./games/plib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	plib
 
 .if !empty(PLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.plib+=	plib>=1.6.0
-BUILDLINK_RECOMMENDED.plib?=	plib>=1.6.0nb3
+BUILDLINK_API_DEPENDS.plib+=	plib>=1.6.0
+BUILDLINK_ABI_DEPENDS.plib?=	plib>=1.6.0nb3
 BUILDLINK_PKGSRCDIR.plib?=	../../games/plib
 BUILDLINK_DEPMETHOD.plib?=	build
 .endif	# PLIB_BUILDLINK3_MK
Index: ./games/wesnoth/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/games/wesnoth/Makefile,v
retrieving revision 1.27
diff -u -r1.27 Makefile
--- ./games/wesnoth/Makefile	12 Mar 2006 12:30:05 -0000	1.27
+++ ./games/wesnoth/Makefile	4 Apr 2006 06:26:53 -0000
@@ -18,8 +18,8 @@
 REPLACE_PERL+=		utils/wmlxgettext
 USE_TOOLS+=		perl:run
 
-BUILDLINK_DEPENDS.SDL+=		SDL>=1.2.7
-BUILDLINK_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.5nb3
+BUILDLINK_API_DEPENDS.SDL+=		SDL>=1.2.7
+BUILDLINK_API_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.5nb3
 
 .include "../../audio/SDL_mixer/buildlink3.mk"
 .include "../../devel/SDL/buildlink3.mk"
Index: ./geography/geos/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/geography/geos/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./geography/geos/buildlink3.mk	6 Nov 2005 10:36:46 -0000	1.1.1.1
+++ ./geography/geos/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	geos
 
 .if !empty(GEOS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.geos+=	geos>=2.0.0
+BUILDLINK_API_DEPENDS.geos+=	geos>=2.0.0
 BUILDLINK_PKGSRCDIR.geos?=	../../geography/geos
 .endif	# GEOS_BUILDLINK3_MK
 
Index: ./geography/shapelib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/geography/shapelib/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./geography/shapelib/buildlink3.mk	27 Mar 2005 21:18:06 -0000	1.1.1.1
+++ ./geography/shapelib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	shapelib
 
 .if !empty(SHAPELIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.shapelib+=	shapelib>=1.2.10
+BUILDLINK_API_DEPENDS.shapelib+=	shapelib>=1.2.10
 BUILDLINK_PKGSRCDIR.shapelib?=	../../geography/shapelib
 .endif	# SHAPELIB_BUILDLINK3_MK
 
Index: ./graphics/Coin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/Coin/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/Coin/buildlink3.mk	5 Feb 2006 23:09:26 -0000	1.3
+++ ./graphics/Coin/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -14,8 +14,8 @@
 
 .if !empty(COIN_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=			Coin
-BUILDLINK_DEPENDS.Coin+=		Coin>=2.2.1
-BUILDLINK_RECOMMENDED.Coin?=		Coin>=2.4.4nb1
+BUILDLINK_API_DEPENDS.Coin+=		Coin>=2.2.1
+BUILDLINK_ABI_DEPENDS.Coin?=		Coin>=2.4.4nb1
 BUILDLINK_PKGSRCDIR.Coin?=		../../graphics/Coin
 
 .include "../../graphics/simage/buildlink3.mk"
Index: ./graphics/GLXKit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/GLXKit/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/GLXKit/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.4
+++ ./graphics/GLXKit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GLXKit
 
 .if !empty(GLXKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GLXKit+=	GLXKit>=0.3.1r2nb3
-BUILDLINK_RECOMMENDED.GLXKit?=	GLXKit>=0.3.1r2nb9
+BUILDLINK_API_DEPENDS.GLXKit+=	GLXKit>=0.3.1r2nb3
+BUILDLINK_ABI_DEPENDS.GLXKit?=	GLXKit>=0.3.1r2nb9
 BUILDLINK_PKGSRCDIR.GLXKit?=	../../graphics/GLXKit
 .endif	# GLXKIT_BUILDLINK3_MK
 
Index: ./graphics/GUIlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/GUIlib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/GUIlib/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.4
+++ ./graphics/GUIlib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GUIlib
 
 .if !empty(GUILIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GUIlib+=	GUIlib>=1.1.0nb2
-BUILDLINK_RECOMMENDED.GUIlib+=	GUIlib>=1.1.0nb6
+BUILDLINK_API_DEPENDS.GUIlib+=	GUIlib>=1.1.0nb2
+BUILDLINK_ABI_DEPENDS.GUIlib+=	GUIlib>=1.1.0nb6
 BUILDLINK_PKGSRCDIR.GUIlib?=	../../graphics/GUIlib
 .endif	# GUILIB_BUILDLINK3_MK
 
Index: ./graphics/GeometryKit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/GeometryKit/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/GeometryKit/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.4
+++ ./graphics/GeometryKit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GeometryKit
 
 .if !empty(GEOMETRYKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GeometryKit+=	GeometryKit>=0.3.1r2nb3
-BUILDLINK_RECOMMENDED.GeometryKit?=	GeometryKit>=0.3.1r2nb9
+BUILDLINK_API_DEPENDS.GeometryKit+=	GeometryKit>=0.3.1r2nb3
+BUILDLINK_ABI_DEPENDS.GeometryKit?=	GeometryKit>=0.3.1r2nb9
 BUILDLINK_PKGSRCDIR.GeometryKit?=	../../graphics/GeometryKit
 .endif	# GEOMETRYKIT_BUILDLINK3_MK
 
Index: ./graphics/GlutKit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/GlutKit/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/GlutKit/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.4
+++ ./graphics/GlutKit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GlutKit
 
 .if !empty(GLUTKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GlutKit+=	GlutKit>=0.3.1r2nb4
-BUILDLINK_RECOMMENDED.GlutKit?=	GlutKit>=0.3.1r2nb11
+BUILDLINK_API_DEPENDS.GlutKit+=	GlutKit>=0.3.1r2nb4
+BUILDLINK_ABI_DEPENDS.GlutKit?=	GlutKit>=0.3.1r2nb11
 BUILDLINK_PKGSRCDIR.GlutKit?=	../../graphics/GlutKit
 .endif	# GLUTKIT_BUILDLINK3_MK
 
Index: ./graphics/ImageMagick/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/ImageMagick/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./graphics/ImageMagick/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.12
+++ ./graphics/ImageMagick/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ImageMagick
 
 .if !empty(IMAGEMAGICK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ImageMagick+=		ImageMagick>=5.5.7.11nb1
-BUILDLINK_RECOMMENDED.ImageMagick+=	ImageMagick>=6.2.6.0nb2
+BUILDLINK_API_DEPENDS.ImageMagick+=		ImageMagick>=5.5.7.11nb1
+BUILDLINK_ABI_DEPENDS.ImageMagick+=	ImageMagick>=6.2.6.0nb2
 BUILDLINK_PKGSRCDIR.ImageMagick?=	../../graphics/ImageMagick
 .endif	# IMAGEMAGICK_BUILDLINK3_MK
 
Index: ./graphics/ImageMagick/options.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/ImageMagick/options.mk,v
retrieving revision 1.5
diff -u -r1.5 options.mk
--- ./graphics/ImageMagick/options.mk	8 Feb 2006 12:19:38 -0000	1.5
+++ ./graphics/ImageMagick/options.mk	4 Apr 2006 06:26:53 -0000
@@ -7,7 +7,7 @@
 .include "../../mk/bsd.options.mk"
 
 .if !empty(PKG_OPTIONS:Mx11)
-BUILDLINK_DEPENDS.jasper+=	jasper>=1.701.0
+BUILDLINK_API_DEPENDS.jasper+=	jasper>=1.701.0
 DEPENDS+=		mpeg2codec>=1.2:../../graphics/mpeg2codec
 
 .include "../../graphics/jasper/buildlink3.mk"
Index: ./graphics/MesaLib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/buildlink3.mk,v
retrieving revision 1.33
diff -u -r1.33 buildlink3.mk
--- ./graphics/MesaLib/buildlink3.mk	21 Mar 2006 22:18:55 -0000	1.33
+++ ./graphics/MesaLib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	MesaLib
 
 .if !empty(MESALIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.MesaLib+=	MesaLib>=3.4.2
-BUILDLINK_RECOMMENDED.MesaLib+=	MesaLib>=6.4.1nb1
+BUILDLINK_API_DEPENDS.MesaLib+=	MesaLib>=3.4.2
+BUILDLINK_ABI_DEPENDS.MesaLib+=	MesaLib>=6.4.1nb1
 BUILDLINK_PKGSRCDIR.MesaLib?=	../../graphics/MesaLib
 
 .if !defined(BUILDING_MESA)
Index: ./graphics/MesaLib/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/builtin.mk,v
retrieving revision 1.12
diff -u -r1.12 builtin.mk
--- ./graphics/MesaLib/builtin.mk	19 Jan 2006 12:53:17 -0000	1.12
+++ ./graphics/MesaLib/builtin.mk	4 Apr 2006 06:26:53 -0000
@@ -45,7 +45,7 @@
 .    if defined(BUILTIN_PKG.MesaLib) && \
         !empty(IS_BUILTIN.MesaLib:M[yY][eE][sS])
 USE_BUILTIN.MesaLib=	yes
-.      for dep in ${BUILDLINK_DEPENDS.MesaLib}
+.      for dep in ${BUILDLINK_API_DEPENDS.MesaLib}
 .        if !empty(USE_BUILTIN.MesaLib:M[yY][eE][sS])
 USE_BUILTIN.MesaLib!=							\
 	if ${PKG_ADMIN} pmatch ${dep:Q} ${BUILTIN_PKG.MesaLib:Q}; then \
Index: ./graphics/OpenRM/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/OpenRM/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./graphics/OpenRM/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.7
+++ ./graphics/OpenRM/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	OpenRM
 
 .if !empty(OPENRM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.OpenRM+=	OpenRM>=1.5.1
-BUILDLINK_RECOMMENDED.OpenRM?=	OpenRM>=1.5.2nb3
+BUILDLINK_API_DEPENDS.OpenRM+=	OpenRM>=1.5.1
+BUILDLINK_ABI_DEPENDS.OpenRM?=	OpenRM>=1.5.2nb3
 BUILDLINK_PKGSRCDIR.OpenRM?=	../../graphics/OpenRM
 .endif	# OPENRM_BUILDLINK3_MK
 
Index: ./graphics/RenderKit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/RenderKit/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/RenderKit/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.4
+++ ./graphics/RenderKit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	RenderKit
 
 .if !empty(RENDERKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.RenderKit+=	RenderKit>=0.3.1r2nb3
-BUILDLINK_RECOMMENDED.RenderKit?=	RenderKit>=0.3.1r2nb9
+BUILDLINK_API_DEPENDS.RenderKit+=	RenderKit>=0.3.1r2nb3
+BUILDLINK_ABI_DEPENDS.RenderKit?=	RenderKit>=0.3.1r2nb9
 BUILDLINK_PKGSRCDIR.RenderKit?=	../../graphics/RenderKit
 .endif	# RENDERKIT_BUILDLINK3_MK
 
Index: ./graphics/SDLKit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/SDLKit/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/SDLKit/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.5
+++ ./graphics/SDLKit/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDLKit
 
 .if !empty(SDLKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDLKit+=	SDLKit>=0.3.1r2nb5
-BUILDLINK_RECOMMENDED.SDLKit?=	SDLKit>=0.3.1r2nb13
+BUILDLINK_API_DEPENDS.SDLKit+=	SDLKit>=0.3.1r2nb5
+BUILDLINK_ABI_DEPENDS.SDLKit?=	SDLKit>=0.3.1r2nb13
 BUILDLINK_PKGSRCDIR.SDLKit?=	../../graphics/SDLKit
 .endif	# SDLKIT_BUILDLINK3_MK
 
Index: ./graphics/SDL_image/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/SDL_image/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./graphics/SDL_image/buildlink3.mk	5 Feb 2006 23:09:27 -0000	1.11
+++ ./graphics/SDL_image/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_image
 
 .if !empty(SDL_IMAGE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_image+=	SDL_image>=1.2.3nb1
-BUILDLINK_RECOMMENDED.SDL_image+=	SDL_image>=1.2.4nb3
+BUILDLINK_API_DEPENDS.SDL_image+=	SDL_image>=1.2.3nb1
+BUILDLINK_ABI_DEPENDS.SDL_image+=	SDL_image>=1.2.4nb3
 BUILDLINK_PKGSRCDIR.SDL_image?=	../../graphics/SDL_image
 BUILDLINK_INCDIRS.SDL_image?=	include/SDL
 .endif	# SDL_IMAGE_BUILDLINK3_MK
Index: ./graphics/TiffIO/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/TiffIO/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./graphics/TiffIO/Makefile	23 Mar 2006 03:25:12 -0000	1.8
+++ ./graphics/TiffIO/Makefile	4 Apr 2006 06:26:53 -0000
@@ -17,7 +17,7 @@
 BUILD_ENV+=	QTDIR=${QTDIR:Q}
 
 .include "../../devel/zlib/buildlink3.mk"
-BUILDLINK_DEPENDS.tiff+=	tiff>=3.8.1
+BUILDLINK_API_DEPENDS.tiff+=	tiff>=3.8.1
 .include "../../graphics/jpeg/buildlink3.mk"
 .include "../../graphics/tiff/buildlink3.mk"
 .include "../../x11/qt3-libs/buildlink3.mk"
Index: ./graphics/aalib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/aalib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/aalib/buildlink3.mk	5 Feb 2006 23:09:28 -0000	1.5
+++ ./graphics/aalib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	aalib
 
 .if !empty(AALIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.aalib+=	aalib>=1.4.0.4
-BUILDLINK_RECOMMENDED.aalib+=	aalib>=1.4.0.5nb2
+BUILDLINK_API_DEPENDS.aalib+=	aalib>=1.4.0.4
+BUILDLINK_ABI_DEPENDS.aalib+=	aalib>=1.4.0.5nb2
 BUILDLINK_PKGSRCDIR.aalib?=	../../graphics/aalib
 .endif	# AALIB_BUILDLINK3_MK
 
Index: ./graphics/cairo/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/cairo/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- ./graphics/cairo/Makefile	5 Feb 2006 23:09:28 -0000	1.31
+++ ./graphics/cairo/Makefile	4 Apr 2006 06:26:53 -0000
@@ -30,11 +30,11 @@
 PLIST_SUBST+=		QUARTZ="@comment "
 .endif
 
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.5
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1.2
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
-BUILDLINK_DEPENDS.glitz+=	glitz>=0.4.4
-BUILDLINK_DEPENDS.libpixman+=	libpixman>=0.1.5
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.5
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1.2
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.glitz+=	glitz>=0.4.4
+BUILDLINK_API_DEPENDS.libpixman+=	libpixman>=0.1.5
 
 .include "../../mk/compiler.mk"
 
Index: ./graphics/cairo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/cairo/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./graphics/cairo/buildlink3.mk	5 Feb 2006 23:09:28 -0000	1.13
+++ ./graphics/cairo/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,13 +11,13 @@
 BUILDLINK_PACKAGES+=	cairo
 
 .if !empty(CAIRO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cairo+=	cairo>=1.0.0nb2
-BUILDLINK_RECOMMENDED.cairo?=	cairo>=1.0.2nb3
+BUILDLINK_API_DEPENDS.cairo+=	cairo>=1.0.0nb2
+BUILDLINK_ABI_DEPENDS.cairo?=	cairo>=1.0.2nb3
 BUILDLINK_PKGSRCDIR.cairo?=	../../graphics/cairo
 
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.5
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1.2
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.5
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1.2
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
 .endif	# CAIRO_BUILDLINK3_MK
 
 .include "../../devel/zlib/buildlink3.mk"
Index: ./graphics/cal3d/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/cal3d/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/cal3d/buildlink3.mk	5 Feb 2006 23:09:28 -0000	1.6
+++ ./graphics/cal3d/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cal3d
 
 .if !empty(CAL3D_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cal3d+=	cal3d>=0.9.1
-BUILDLINK_RECOMMENDED.cal3d+=	cal3d>=0.9.1nb2
+BUILDLINK_API_DEPENDS.cal3d+=	cal3d>=0.9.1
+BUILDLINK_ABI_DEPENDS.cal3d+=	cal3d>=0.9.1nb2
 BUILDLINK_PKGSRCDIR.cal3d?=	../../graphics/cal3d
 .endif	# CAL3D_BUILDLINK3_MK
 
Index: ./graphics/camlimages/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/camlimages/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./graphics/camlimages/Makefile	4 Mar 2006 21:29:46 -0000	1.12
+++ ./graphics/camlimages/Makefile	4 Apr 2006 06:26:53 -0000
@@ -10,7 +10,7 @@
 HOMEPAGE=		http://pauillac.inria.fr/camlimages/
 COMMENT=		Image processing library for Objective Caml
 
-BUILDLINK_DEPENDS.ocaml+=	ocaml>=3.0.6
+BUILDLINK_API_DEPENDS.ocaml+=	ocaml>=3.0.6
 
 WRKSRC=                 ${WRKDIR}/camlimages-2.2
 USE_PKGLOCALEDIR=	yes
Index: ./graphics/camlimages/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/camlimages/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/camlimages/buildlink3.mk	5 Feb 2006 23:09:28 -0000	1.4
+++ ./graphics/camlimages/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	camlimages
 
 .if !empty(CAMLIMAGES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.camlimages+=	camlimages>=2.2.0
-BUILDLINK_RECOMMENDED.camlimages?=	camlimages>=2.2.0nb1
+BUILDLINK_API_DEPENDS.camlimages+=	camlimages>=2.2.0
+BUILDLINK_ABI_DEPENDS.camlimages?=	camlimages>=2.2.0nb1
 BUILDLINK_PKGSRCDIR.camlimages?=	../../graphics/camlimages
 .endif	# CAMLIMAGES_BUILDLINK3_MK
 
Index: ./graphics/cinepaint/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/cinepaint/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- ./graphics/cinepaint/Makefile	17 Feb 2006 23:42:35 -0000	1.11
+++ ./graphics/cinepaint/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 
 PKGCONFIG_OVERRIDE=	cinepaint-gtk.pc.in
 
-BUILDLINK_DEPENDS.lcms+=	lcms>=1.13 # needs _cmsLCMScolorSpace
+BUILDLINK_API_DEPENDS.lcms+=	lcms>=1.13 # needs _cmsLCMScolorSpace
 .include "../../graphics/lcms/buildlink3.mk"
 .include "../../graphics/openexr/buildlink3.mk"
 .include "../../graphics/png/buildlink3.mk"
Index: ./graphics/compface/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/compface/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/compface/buildlink3.mk	5 Feb 2006 23:09:28 -0000	1.3
+++ ./graphics/compface/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	compface
 
 .if !empty(COMPFACE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.compface+=	compface>=1.4
-BUILDLINK_RECOMMENDED.compface?=	compface>=1.5.1nb1
+BUILDLINK_API_DEPENDS.compface+=	compface>=1.4
+BUILDLINK_ABI_DEPENDS.compface?=	compface>=1.5.1nb1
 BUILDLINK_PKGSRCDIR.compface?=	../../graphics/compface
 .endif	# COMPFACE_BUILDLINK3_MK
 
Index: ./graphics/digikam/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/digikam/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./graphics/digikam/Makefile	30 Mar 2006 03:20:04 -0000	1.21
+++ ./graphics/digikam/Makefile	4 Apr 2006 06:26:53 -0000
@@ -17,8 +17,8 @@
 GNU_CONFIGURE=		yes
 BUILD_USES_MSGFMT=	yes
 
-BUILDLINK_DEPENDS.imlib2+=	imlib2>=1.2
-BUILDLINK_DEPENDS.kdelibs+=	kdelibs>=3.5.2
+BUILDLINK_API_DEPENDS.imlib2+=	imlib2>=1.2
+BUILDLINK_API_DEPENDS.kdelibs+=	kdelibs>=3.5.2
 
 .include "../../databases/sqlite3/buildlink3.mk"
 .include "../../devel/libgphoto2/buildlink3.mk"
Index: ./graphics/digikam/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/digikam/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./graphics/digikam/buildlink3.mk	20 Feb 2006 09:15:44 -0000	1.10
+++ ./graphics/digikam/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	digikam
 
 .if !empty(DIGIKAM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.digikam+=	digikam>=0.8.1
+BUILDLINK_API_DEPENDS.digikam+=	digikam>=0.8.1
 BUILDLINK_PKGSRCDIR.digikam?=	../../graphics/digikam
 .endif	# DIGIKAM_BUILDLINK3_MK
 
Index: ./graphics/eog2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/eog2/Makefile,v
retrieving revision 1.54
diff -u -r1.54 Makefile
--- ./graphics/eog2/Makefile	21 Mar 2006 06:00:46 -0000	1.54
+++ ./graphics/eog2/Makefile	4 Apr 2006 06:26:53 -0000
@@ -21,7 +21,7 @@
 
 GCONF2_SCHEMAS= 	eog.schemas
 
-BUILDLINK_DEPENDS.libart2+=	libart2>=2.3.16
+BUILDLINK_API_DEPENDS.libart2+=	libart2>=2.3.16
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./graphics/epeg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/epeg/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./graphics/epeg/buildlink3.mk	28 Dec 2004 21:54:35 -0000	1.1.1.1
+++ ./graphics/epeg/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -10,7 +10,7 @@
 BUILDLINK_PACKAGES+=	epeg
 
 .if !empty(EPEG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.epeg+=	epeg>=0.9.0
+BUILDLINK_API_DEPENDS.epeg+=	epeg>=0.9.0
 BUILDLINK_PKGSRCDIR.epeg?=	../../graphics/epeg
 .endif	# EPEG_BUILDLINK3_MK
 
Index: ./graphics/feh/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/feh/Makefile,v
retrieving revision 1.27
diff -u -r1.27 Makefile
--- ./graphics/feh/Makefile	5 Feb 2006 23:09:29 -0000	1.27
+++ ./graphics/feh/Makefile	4 Apr 2006 06:26:53 -0000
@@ -17,8 +17,8 @@
 CONFIGURE_ARGS+=	--program-transform-name=s,cam,feh_cam,
 REPLACE_PERL=		cam/cam
 
-BUILDLINK_DEPENDS.giblib+=	giblib>=1.2.4
-BUILDLINK_DEPENDS.jpeg+=	jpeg>=6bnb3 # includes jpegint.h
+BUILDLINK_API_DEPENDS.giblib+=	giblib>=1.2.4
+BUILDLINK_API_DEPENDS.jpeg+=	jpeg>=6bnb3 # includes jpegint.h
 
 .include "../../devel/giblib/buildlink3.mk"
 .include "../../mk/x11.buildlink3.mk"
Index: ./graphics/fnlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/fnlib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/fnlib/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.5
+++ ./graphics/fnlib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fnlib
 
 .if !empty(FNLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fnlib+=	fnlib>=0.5nb6
-BUILDLINK_RECOMMENDED.fnlib+=	fnlib>=0.5nb9
+BUILDLINK_API_DEPENDS.fnlib+=	fnlib>=0.5nb6
+BUILDLINK_ABI_DEPENDS.fnlib+=	fnlib>=0.5nb9
 BUILDLINK_PKGSRCDIR.fnlib?=	../../graphics/fnlib
 .endif	# FNLIB_BUILDLINK3_MK
 
Index: ./graphics/freeglut/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/freeglut/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/freeglut/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.3
+++ ./graphics/freeglut/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	freeglut
 
 .if !empty(FREEGLUT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.freeglut+=	freeglut>=2.2.0
-BUILDLINK_RECOMMENDED.freeglut+=	freeglut>=2.2.0nb3
+BUILDLINK_API_DEPENDS.freeglut+=	freeglut>=2.2.0
+BUILDLINK_ABI_DEPENDS.freeglut+=	freeglut>=2.2.0nb3
 BUILDLINK_PKGSRCDIR.freeglut?=	../../graphics/freeglut
 .endif	# FREEGLUT_BUILDLINK3_MK
 
Index: ./graphics/freetype-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/freetype-lib/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./graphics/freetype-lib/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.10
+++ ./graphics/freetype-lib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	freetype
 
 .if !empty(FREETYPE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.freetype+=	freetype-lib>=1.3.1nb1
-BUILDLINK_RECOMMENDED.freetype+=freetype-lib>=1.3.1nb2
-BUILDLINK_RECOMMENDED.freetype?=	freetype-lib>=1.3.1nb3
+BUILDLINK_API_DEPENDS.freetype+=	freetype-lib>=1.3.1nb1
+BUILDLINK_ABI_DEPENDS.freetype+=freetype-lib>=1.3.1nb2
+BUILDLINK_ABI_DEPENDS.freetype?=	freetype-lib>=1.3.1nb3
 BUILDLINK_PKGSRCDIR.freetype?=	../../graphics/freetype-lib
 .endif	# FREETYPE_BUILDLINK3_MK
 
Index: ./graphics/freetype-utils/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/freetype-utils/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./graphics/freetype-utils/Makefile	5 Feb 2006 23:09:30 -0000	1.18
+++ ./graphics/freetype-utils/Makefile	4 Apr 2006 06:26:53 -0000
@@ -6,7 +6,7 @@
 PKGREVISION=	2
 COMMENT=	Utilities for manipulating TrueType fonts
 
-BUILDLINK_DEPENDS.freetype=	freetype-lib>=${FT_VERS}
+BUILDLINK_API_DEPENDS.freetype=	freetype-lib>=${FT_VERS}
 
 
 CONFIGURE_ARGS+=	--with-x
Index: ./graphics/freetype2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/freetype2/buildlink3.mk,v
retrieving revision 1.25
diff -u -r1.25 buildlink3.mk
--- ./graphics/freetype2/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.25
+++ ./graphics/freetype2/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	freetype2
 
 .if !empty(FREETYPE2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.8
-BUILDLINK_RECOMMENDED.freetype2+=	freetype2>=2.1.10nb1
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.8
+BUILDLINK_ABI_DEPENDS.freetype2+=	freetype2>=2.1.10nb1
 BUILDLINK_PKGSRCDIR.freetype2?=	../../graphics/freetype2
 BUILDLINK_INCDIRS.freetype2?=	include/freetype2
 
Index: ./graphics/freetype2/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/freetype2/builtin.mk,v
retrieving revision 1.7
diff -u -r1.7 builtin.mk
--- ./graphics/freetype2/builtin.mk	3 Jun 2005 19:12:49 -0000	1.7
+++ ./graphics/freetype2/builtin.mk	4 Apr 2006 06:26:53 -0000
@@ -51,7 +51,7 @@
 .    if defined(BUILTIN_PKG.freetype2) && \
         !empty(IS_BUILTIN.freetype2:M[yY][eE][sS])
 USE_BUILTIN.freetype2=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.freetype2}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.freetype2}
 .        if !empty(USE_BUILTIN.freetype2:M[yY][eE][sS])
 USE_BUILTIN.freetype2!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.freetype2:Q}; then \
@@ -74,7 +74,7 @@
 .if !empty(CHECK_BUILTIN.freetype2:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.freetype2:M[nN][oO])
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.3
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.3
 .  endif
 
 .  if !empty(USE_BUILTIN.freetype2:M[yY][eE][sS])
Index: ./graphics/gd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gd/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./graphics/gd/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.11
+++ ./graphics/gd/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gd
 
 .if !empty(GD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gd+=		gd>=2.0.15nb1
-BUILDLINK_RECOMMENDED.gd+=	gd>=2.0.33nb2
+BUILDLINK_API_DEPENDS.gd+=		gd>=2.0.15nb1
+BUILDLINK_ABI_DEPENDS.gd+=	gd>=2.0.33nb2
 BUILDLINK_PKGSRCDIR.gd?=	../../graphics/gd
 .endif	# GD_BUILDLINK3_MK
 
Index: ./graphics/gdchart/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gdchart/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/gdchart/buildlink3.mk	10 Feb 2006 12:17:05 -0000	1.4
+++ ./graphics/gdchart/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gdchart
 
 .if !empty(GDCHART_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gdchart+=	gdchart>=0.11.4nb1
-BUILDLINK_RECOMMENDED.gdchart+=	gdchart>=0.11.5nb1
+BUILDLINK_API_DEPENDS.gdchart+=	gdchart>=0.11.4nb1
+BUILDLINK_ABI_DEPENDS.gdchart+=	gdchart>=0.11.5nb1
 BUILDLINK_PKGSRCDIR.gdchart?=	../../graphics/gdchart
 .endif	# GDCHART_BUILDLINK3_MK
 
Index: ./graphics/gdk-pixbuf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gdk-pixbuf/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./graphics/gdk-pixbuf/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.8
+++ ./graphics/gdk-pixbuf/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gdk-pixbuf
 
 .if !empty(GDK_PIXBUF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gdk-pixbuf+=		gdk-pixbuf>=0.22.0nb2
-BUILDLINK_RECOMMENDED.gdk-pixbuf+=	gdk-pixbuf>=0.22.0nb7
+BUILDLINK_API_DEPENDS.gdk-pixbuf+=		gdk-pixbuf>=0.22.0nb2
+BUILDLINK_ABI_DEPENDS.gdk-pixbuf+=	gdk-pixbuf>=0.22.0nb7
 BUILDLINK_PKGSRCDIR.gdk-pixbuf?=	../../graphics/gdk-pixbuf
 BUILDLINK_CPPFLAGS.gdk-pixbuf+= \
 	-I${BUILDLINK_PREFIX.gdk-pixbuf}/include/gdk-pixbuf-1.0
Index: ./graphics/gdk-pixbuf-gnome/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gdk-pixbuf-gnome/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/gdk-pixbuf-gnome/buildlink3.mk	5 Feb 2006 23:09:30 -0000	1.4
+++ ./graphics/gdk-pixbuf-gnome/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gdk-pixbuf-gnome
 
 .if !empty(GDK_PIXBUF_GNOME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gdk-pixbuf-gnome+=	gdk-pixbuf-gnome>=0.22.0nb2
-BUILDLINK_RECOMMENDED.gdk-pixbuf-gnome?=	gdk-pixbuf-gnome>=0.22.0nb4
+BUILDLINK_API_DEPENDS.gdk-pixbuf-gnome+=	gdk-pixbuf-gnome>=0.22.0nb2
+BUILDLINK_ABI_DEPENDS.gdk-pixbuf-gnome?=	gdk-pixbuf-gnome>=0.22.0nb4
 BUILDLINK_PKGSRCDIR.gdk-pixbuf-gnome?=	../../graphics/gdk-pixbuf-gnome
 .endif	# GDK_PIXBUF_GNOME_BUILDLINK3_MK
 
Index: ./graphics/gle/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gle/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/gle/buildlink3.mk	5 Feb 2006 23:09:31 -0000	1.6
+++ ./graphics/gle/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gle
 
 .if !empty(GLE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gle+=		gle>=3.0.3
-BUILDLINK_RECOMMENDED.gle+=	gle>=3.1.0nb2
+BUILDLINK_API_DEPENDS.gle+=		gle>=3.0.3
+BUILDLINK_ABI_DEPENDS.gle+=	gle>=3.1.0nb2
 BUILDLINK_PKGSRCDIR.gle?=	../../graphics/gle
 .endif	# GLE_BUILDLINK3_MK
 
Index: ./graphics/gimp/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gimp/Makefile,v
retrieving revision 1.135
diff -u -r1.135 Makefile
--- ./graphics/gimp/Makefile	8 Mar 2006 09:50:12 -0000	1.135
+++ ./graphics/gimp/Makefile	4 Apr 2006 06:26:53 -0000
@@ -31,9 +31,9 @@
 .include "../../mk/bsd.prefs.mk"
 
 USE_BUILTIN.fontconfig=		    no
-BUILDLINK_DEPENDS.fontconfig+=	    fontconfig>=2.2.0
+BUILDLINK_API_DEPENDS.fontconfig+=	    fontconfig>=2.2.0
 
-BUILDLINK_DEPENDS.lcms+=	lcms>=1.12
+BUILDLINK_API_DEPENDS.lcms+=	lcms>=1.12
 
 GNU_CONFIGURE=		yes
 CONFIGURE_ARGS+=	--disable-perl
